## File "Install.py"
## -*- coding: utf-8 -*-

from StringIO import StringIO

from Products.dcExternalLinkInNewWindow.config import GLOBALS, PROJECTNAME

from Products.CMFCore.utils import getToolByName
from Products.Archetypes.Extensions.utils import install_subskin


def install(self):
  out = StringIO()

  # Register skins directory.
  install_subskin(self, out, GLOBALS, 'skins')
  print >> out, "Registered skins directory."

  # Register the javascript that do the new window trick.
  jstool = getToolByName(self, 'portal_javascripts')
  jstool.registerScript('dcexternallinkinnewwindow.js')
  print >> out, "Registered dcexternallinkinnewwindow.js javascript."

  print >> out, "Product installation completed."

  return out.getvalue()



def uninstall(self):
  out = StringIO()

  # Unregister the javascript that do the new window trick.
  try:
    jstool = getToolByName(self, 'portal_javascripts')
  except:
    print >> out, "Unable to locate javascripts tool."
  else:
    jstool.unregisterResource('dcexternallinkinnewwindow.js')
    print >> out, "Unregistered dcexternallinkinnewwindow.js javascript."

  print >> out, "Product removal completed."
  return out.getvalue()


